Name: bbsload
Version: 0.2.6
Release: alt1

Packager: Sergey Vlasov <vsu@altlinux.ru>

Summary: System load monitor for Blackbox
License: GPL
Group: Graphical desktop/Other
Url: http://bbtools.windsofstorm.net
Source: http://bbtools.windsofstorm.net/sources/%name-%version.tar.bz2
Patch: %name-0.2.5-cfgfix.patch

# Automatically added by buildreq on Sat Oct 19 2002
BuildRequires: XFree86-devel gcc-c++ libstdc++-devel

%description
This tool displays (in loadbar or label):
 - the average load over the last 1, 5 and 10 minutes;
 - the number of running (loadbar only);
 - total task (loadbar only);
 - part of memory used (used memory : total memory);
 - part of swap used (used swap : total swap);
 - part of total memory used (used swap + memory : total swap + memory).

It is designed to look the same as the Blackbox toolbar
(Blackbox is a window manager for X11).

%prep
%setup
%patch -p1

%build
%add_optflags %optflags_nocpp
%configure
%make_build

%install
%makeinstall

%files
%doc README AUTHORS ChangeLog BUGS data/README.bbsload
%_bindir/bbsload
%_datadir/bbtools/bbsload.bb
%_datadir/bbtools/bbsload.nobb

%changelog
* Sat Oct 19 2002 Sergey Vlasov <vsu@altlinux.ru> 0.2.6-alt1
- Version 0.2.6.
- Removed gcc3 compilation patch (no longer needed).

* Mon Oct 07 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.5-alt2
- rebuild with gcc3

* Wed Dec 12 2001 Sergey Vlasov <vsu@altlinux.ru> 0.2.5-alt1
- First build for ALT Linux
